Subject: Re: bug#18573: 24.3.93; set-face-attribute crashes Emacs when started with -nw

From: Stefan Kangas <[email-masked]>
Date: Thu, 26 Sep 2019 22:57:26 +0200

fixed 18573 24.4
close 18573
quit

Jan Djärv <[email-masked]> writes:

> For now I comitted the "wont crash" solution (don't execute the code for tty
> frames) in the emacs 24 branch.  No error is signalled and no looping is done to
> find a GUI frame.  I'm not sure if we should do that.

I think that fixed the issue; I can no longer reproduce it.

I don't see anything else outstanding, besides the FIXME added in:

commit 335e9627ca78f7be9eea27f38a530fd51a1e6995
Author: Jan Djärv <[email-masked]>
Date:   Wed Oct 1 20:10:21 2014 +0200

    * xfaces.c (Finternal_set_lisp_face_attribute): Added FIXME comment.

But that is just a possible improvement, and keeping this bug open won't
do much to help direct any efforts to doing that.  If anything it will
confuse it by mixing it up with a crash that has been fixed for a long
time.

I'm therefore closing this bug.  If anyone disagrees, feel free to
reopen.

Best regards,
Stefan Kangas